Skip to main content
`Ctrl`+`K`

# MatHeaderMerge

Merges some information from the header of `C` to `A`; the `C` object is then destroyed

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatHeaderMerge(Mat A, Mat *C)

Collective, No Fortran Support

## Input Parameters

- A - a `Mat` being merged into

- C - the `Mat` providing the merge information

## Notes

`A` and `C` must be of the same type. The object list and query function list in `A` are retained, as well as the object name, and prefix. The object state of `A` is increased by 1.

## Developer Note

This is somewhat different from `MatHeaderReplace()`, it would be nice to merge the code

## See Also

`Mat`, `MatHeaderReplace()`

## Level

developer

## Location

src/mat/utils/gcreate.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages